import { type Request, type Response } from "express";
import { BaseControllerPlugin } from "@clusterio/controller";
import { FetchPlayerCodeRequest, SetVerifyCodeRequest } from "./messages";
declare function generateCode(length: number): Promise<string>;
type PlayerCode = {
    playerCode: string;
    verifyCode: string | null;
    expiresMs: number;
};
export declare class ControllerPlugin extends BaseControllerPlugin {
    players: Map<string, PlayerCode>;
    init(): Promise<void>;
    handlePlayerCode(req: Request, res: Response): Promise<void>;
    handleVerify(req: Request, res: Response): Promise<void>;
    handleFetchPlayerCodeRequest(request: FetchPlayerCodeRequest): Promise<{
        playerCode: string;
        controllerUrl: string;
    }>;
    handleSetVerifyCodeRequest(request: SetVerifyCodeRequest): Promise<void>;
}
export declare const _generateCode: typeof generateCode;
export {};
//# sourceMappingURL=controller.d.ts.map